> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-2/retrieve-a-user-sequence.md).

# Retrieve a user sequence

**Endpoint Description:**

* **Endpoint**: `GET GET /api/user-sequences/{sequence_id}/`
* **Base URL**: `https://api.vomevolunteer.com`

**Path Parameter:**

* **sequence\_id** (string): The unique identifier for the sequence to be retrieved.

**Example Request:**

```http
GET https://api.vomevolunteer.com/api/user-sequences/c306a611-4e8c-4b0c-852e-6d10b215b15a/
```

**Authorization:**

Requests must include an API key in the header for authentication.

```python
headers = {
    "API-KEY": "your_unique_api_key_here"
}
response = requests.get("https://api.vomevolunteer.com/api/user-sequences/c306a611-4e8c-4b0c-852e-6d10b215b15a/", headers=headers)
```

**Response Structure:**

The response from the API provides a detailed breakdown of the selected user sequence, including user information, sequence details, and step configurations.

**Example Response Object:**

```json
{
    "id": "c306a611-4e8c-4b0c-852e-6d10b215b15a",
    "user_info": {
        "id": "46e199ee-20d9-4c53-8e73-2c81b84a4ea3",
        "first_name": "Aaron",
        "last_name": "Milkes",
        "email": "aaron.mikes@domain.com",
        "gender": 0,
        "address": "1383 Décarie Street, Saint-Laurent, QC, Canada",
        "phone_number": "4334322222",
        "date_of_birth": "1985-02-06",
        "timezone": "Canada/Central",
        "address_coordinates": [
            "45.5174791",
            "-73.6872614"
        ]
    },
    "sequence_info": {
        "id": "0a1c2932-83f7-4494-bd07-42b942bb0ffd",
        "title": "New Sequence Created",
        "description": "<p>para</p>",
        "sequence_status": "Published",
        "display_status": "Public",
        "step_info": [
            {
                "step": 1,
                "type": 3,
                "orientation_details": [
                    {
                        "title": "Orientation A",
                        "description": "Description of step",
                        "user_orientation": {
                            "status": null,
                            "completion_on": null,
                            "expiration_on": null
                        }
                    }
                ]
            },
            {
                "step": 2,
                "type": 1,
                "interview_details": [
                    {
                        "title": "Meeting with Supervisor",
                        "description": "You will need to book a session with us at www.vomevolunteer.com to slot yourself into the schedule",
                        "user_interview": {
                            "interview": null,
                            "status": null,
                            "completion_on": null,
                            "expiration_on": null
                        }
                    }
                ]
            }
        ]
    },
    "status": "Finished",
    "created_at": "2024-08-19T20:27:56.532350Z",
    "updated_at": "2024-08-19T20:29:39.573290Z"
}
```

For a complete description of each field in this response object, you can visit: [User Sequences](/resources/editor-2.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor-2/retrieve-a-user-sequence.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
